Skip to content
payrocdevelopers

List funding activity

Browse API reference

GET/funding-activitygetFundingActivity

Use this method to return a paginated list of activity associated with your merchants' funding balances within a specific date range.

Use query parameters to filter the list of results we return, for example, to view the activity for a specific merchant's funding balance.

Our gateway returns the following information about each activity in the list:

  • Name of the merchant who owns the funding balance.
  • Amount of funds added or removed from the funding balance.
  • Funding account that received funds from the funding balance.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

dateFromRequiredquerystring

Filter by activity after a specific date. Send a value in YYYY-MM-DD format.

dateToRequiredquerystring

Filter by activity before a specific date. Send a value in YYYY-MM-DD format.

merchantIdquerystring

Filter results by the unique identifier that the processor assigned to the merchant.

Responses

Successful request. Returns a list of funding activity.

200 OK · application/json
{
  "count": 10,
  "data": [
    {
      "amount": 4999,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "sales",
      "id": 11,
      "merchant": "Pizza Doe",
      "type": "credit"
    },
    {
      "amount": 3999,
      "currency": "USD",
      "date": "2024-07-02T19:32:00.000Z",
      "description": "sales",
      "id": 12,
      "merchant": "Pizza Doe",
      "type": "credit"
    },
    {
      "amount": 3299,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "sales",
      "id": 13,
      "merchant": "Pizza Doe",
      "type": "credit"
    },
    {
      "amount": 50,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "Interchange Fees",
      "id": 14,
      "merchant": "Pizza Doe",
      "recipient": "Payroc",
      "type": "debit"
    },
    {
      "amount": 4999,
      "currency": "USD",
      "date": "2024-07-02T09:10:00.000Z",
      "description": "sales",
      "id": 15,
      "merchant": "Pizza Doe",
      "type": "credit"
    },
    {
      "amount": 750,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "Adjustment",
      "id": 16,
      "merchant": "Doe Hot Dogs",
      "type": "credit"
    },
    {
      "amount": 5,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "Interchange Fees",
      "id": 17,
      "merchant": "Doe Hot Dogs",
      "recipient": "Payroc",
      "type": "debit"
    },
    {
      "amount": 1000,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "Charge back",
      "id": 18,
      "merchant": "Pizza Doe",
      "recipient": "Payroc",
      "type": "debit"
    },
    {
      "amount": 5999,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "sales",
      "id": 19,
      "merchant": "Pizza Doe",
      "type": "credit"
    },
    {
      "amount": 1000,
      "currency": "USD",
      "date": "2024-07-02T17:00:00.000Z",
      "description": "payment",
      "id": 20,
      "merchant": "Pizza Doe",
      "recipient": "Pizza Doe",
      "type": "debit"
    }
  ],
  "hasMore": true,
  "limit": 10,
  "links": [
    {
      "href": "https://api.payroc.com/v1/funding-activity?before=11&limit=10&datefrom=2024-07-01&dateto=2024-07-03",
      "method": "get",
      "rel": "previous"
    },
    {
      "href": "https://api.payroc.com/v1/funding-activity?after=20&limit=10&datefrom=2024-07-01&dateto=2024-07-03",
      "method": "get",
      "rel": "next"
    }
  ]
}
Response schema · 16 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of activityRecord objects.
    • amountintegerint64required
      Total amount that we removed or added to the merchant's funding balance. The value is in the currency’s lowest denomination, for example, cents.
    • currencystringrequired
      Currency of the funds. We return a value of USD.
    • datestringdatetimerequired
      Date that we moved the funds.
    • descriptionstringrequired
      Description of the activity.
    • idintegerrequired
      Unique identifier that we assigned to the activity.
    • merchantstringrequired
      Doing business as (DBA) name of the merchant that owns the funding balance.
    • recipientstring
      Name of the account holder who owns the funding account that received funds. Note: We return a value for recipient only if the value for type is debit.
    • typestringrequired
      Indicates if we moved funds into or out of the funding balance. Our gateway returns one of the following values: credit We moved funds into the funding balance. debit We moved funds out of the funding balance.creditdebit

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer